Bug 1737004 - zypper: FTBFS in Fedora rawhide/f31
Summary: zypper: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zypper
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1736067
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-02 09:49 UTC by Fedora Release Engineering
Modified: 2019-09-14 16:30 UTC (History)
2 users (show)

Fixed In Version: zypper-1.14.29-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 00:06:21 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.24 KB, text/plain)
2019-08-02 09:49 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-02 09:49 UTC, Fedora Release Engineering
no flags Details
state.log (473 bytes, text/plain)
2019-08-02 09:49 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-02 09:49:34 UTC
zypper failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36638242


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix zypper at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
zypper will be orphaned. Before branching of Fedora 32,
zypper will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-02 09:49:37 UTC
Created attachment 1599960 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-02 09:49:39 UTC
Created attachment 1599961 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-02 09:49:40 UTC
Created attachment 1599962 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:50:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:24:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Neal Gompa 2019-08-25 21:32:07 UTC
Blocked on bug 1736067.

Comment 7 Fedora Update System 2019-08-27 23:25:14 UTC
FEDORA-2019-b3d7759646 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b3d7759646

Comment 8 Fedora Update System 2019-08-29 21:01:25 UTC
libzypp-17.14.0-1.fc31, zypper-1.14.29-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b3d7759646

Comment 9 Fedora Update System 2019-09-14 00:06:21 UTC
libzypp-17.14.0-1.fc31, zypper-1.14.29-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-14 16:30:43 UTC
libzypp-17.14.0-1.fc31, zypper-1.14.29-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.